stl_relops.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::rel_ops

## Functions

template<class _Tp >
bool | std::rel_ops::operator!= (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | std::rel_ops::operator<= (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | std::rel_ops::operator> (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | std::rel_ops::operator>= (const _Tp &__x, const _Tp &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Inclusion of this file has been removed from all of the other STL headers for safety reasons, except std_utility.h. For more information, see the thread of about twenty messages starting with http://gcc.gnu.org/ml/libstdc++/2001-01/msg00223.html, or http://gcc.gnu.org/onlinedocs/libstdc++/faq.html#faq.ambiguous_overloads

Short summary: the rel_ops operators should be avoided for the present.

Definition in file stl_relops.h.